[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPenHandleCache.Add

Add - returns a cache descriptor corresponding to the pen that has been added to the cache.

## Declaration

Source position: graphics.pp line 634

`public function TPenHandleCache.Add(`
`APen: TLCLHandle;`
`const AExtPen: TExtLogPen;`
`const APattern: TPenPattern`
`):TPenHandleCacheDescriptor;`